var totalquestions=19

var correctchoices=new Array()
correctchoices[1]='г'
correctchoices[2]='б' 
correctchoices[3]='а'
correctchoices[4]='а'
correctchoices[5]='ж'
correctchoices[6]='в'
correctchoices[7]='в' 
correctchoices[8]='в'
correctchoices[9]='б'
correctchoices[10]='г'
correctchoices[11]='в'
correctchoices[12]='в'
correctchoices[13]='в'
correctchoices[14]='а'
correctchoices[15]='г'
correctchoices[16]='е'
correctchoices[17]='г'
correctchoices[18]='б'
correctchoices[19]='б'



function ebenit(){
var incorrect=null
for (q=1;q<=totalquestions;q++){
	var thequestion=eval("document.vophoxer.question"+q)
	for (c=0;c<thequestion.length;c++){
		if (thequestion[c].checked==true)
		actualchoices[q]=thequestion[c].value
		}
		
	if (actualchoices[q]!=correctchoices[q]){ 
		if (incorrect==null)
		incorrect=q
		else
		incorrect+="/"+q
		}
	}

if (incorrect==null)
incorrect="a/b"
document.cookie='q='+incorrect
if (document.cookie=='')
alert("Ваш броузер не поддерживает cookie. Пожалуйста, обратитесь к настройкам вашего браузера.")
else
window.location="results2.htm"
}

function showsolution(){
var win2=window.open("","win2","width=200,height=350, scrollbars")
win2.focus()
win2.document.open()
win2.document.write('<title>Ответы</title>')
win2.document.write('<body bgcolor="#FFFFFF">')
win2.document.write('<center><h3>Ответы на тест</h3></center>')
win2.document.write('<center><font face="Arial">')
for (i=1;i<=totalquestions;i++){
for (temp=0;temp<incorrect.length;temp++){
if (i==incorrect[temp])
wrong=1
}
if (wrong==1){
win2.document.write("Вопрос "+i+"="+correctchoices[i].fontcolor("red")+"<br>")
wrong=0
}
else
win2.document.write("Вопрос "+i+"="+correctchoices[i]+"<br>")
}
win2.document.write('</center></font>')
win2.document.write("<h5>Ответы которые помечены красным цветом являются неверными.</h5>")
win2.document.close()
}